## edu.stanford.nlp.process
Enum DocumentPreprocessor.DocType

    java.lang.Object
      java.lang.Enum<DocumentPreprocessor.DocType>
          edu.stanford.nlp.process.DocumentPreprocessor.DocType

All Implemented Interfaces:
  Serializable, Comparable<DocumentPreprocessor.DocType>

Enclosing class:
  DocumentPreprocessor

    public static enum DocumentPreprocessor.DocType

extends Enum<DocumentPreprocessor.DocType>

Enum Constant Summary
`Plain`
`XML`

Method Summary
`static DocumentPreprocessor.DocType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DocumentPreprocessor.DocType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Plain

    public static final DocumentPreprocessor.DocType Plain

### XML

    public static final DocumentPreprocessor.DocType XML

Method Detail

### values

    public static DocumentPreprocessor.DocType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DocumentPreprocessor.DocType c : DocumentPreprocessor.DocType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DocumentPreprocessor.DocType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Stanford NLP Group